# Ez a kis program kiegeszti az "allapotgepek megvalositasa
# ketdimenzios listaval" temat. Itt azt mutatjuk be, hogy
# a tevekenysegek leirhatok fuggvennyel is: az allapotgepet
# leiro tablazat minden cellajaban a tevekenyseg egy konkret
# fuggveny referenciaja.

import sys

ALAP = 0        # állapot → 0...2 egész szám
L_VOLT = 1
LL_VOLT = 2

def karakterosztaly(c): # char típusa → 0...2 egész szám
    if c == 'l': return 0
    if c == 'y': return 1
    return 2

def main():
    szaml = 0
    def nop():
        pass
    def egy():
        nonlocal szaml
        szaml += 1
    def ketto():
        nonlocal szaml
        szaml += 2

    allapotgep = [
        [(L_VOLT, nop),  (ALAP, nop),   (ALAP, nop)], 
        [(LL_VOLT, nop), (ALAP, egy),   (ALAP, nop)], 
        [(LL_VOLT, nop), (ALAP, ketto), (ALAP, nop)], 
    ]
    
    allapot = ALAP
    while True:
        c = sys.stdin.read(1)
        if c == "": break
        
        # Allapot es tevekenyseg kiolvasasa a tablabol
        kar = karakterosztaly(c)
        ujallapot, tevekenyseg = allapotgep[allapot][kar]
        
        tevekenyseg()
        allapot = ujallapot

    print(szaml, "db ly volt.")

main()
